Description

It should be very interesting to integration SSO authentication to permit user to be automaticaly identified if they are already
authenticated against an SSO solution. CAS Jasig is a good solution, a ruby on rails client is available :
http://www.ja-sig.org/wiki/display/CASC/Ruby+on+Rails+CAS+Client.

So that, user will be identified but SSO can just give back the username. So it can't replace Idap at all, but can be used with Idap :
SSO give the username and Idap is used to retrieve information like givenname and email addresse.

Related issues:

Related to Redmine - Feature #940: RADIUS authentication support New 2008-03-27
Related to Redmine - Feature #1131: Add support for alternate (non-LDAP) auth... Closed 2008-04-28
Related to Redmine - Feature #2965: CAS Authentication New 2009-03-13
Related to Redmine - Feature #12330: Integrate Kerberos Authentication New

History

#1 - 2008-12-18 19:09 - Stephanie Collett

An additional possibility is using OpenlID as single sign on solution. It can work with LDAP as well.

http://www.openid-ldap.org/

#2 - 2009-11-25 12:06 - Sergio Rubio
See this patch:

http://blogs.igalia.com/mrego/2009/07/22/casify-redmine/

#3 - 2010-04-23 06:09 - Eric Gerlach
- File redmine-add-cas-support.patch added

Attached is a patch which provides CAS functionality, along with settings to boot. Allows both forced and optional CAS login. Don't know if it's up to
code standards, but it's a start, and I'm willing to work on it further. Developed on the Debian version, but applied cleanly to HEAD. Haven't tested it
on HEAD, though.

#4 - 2010-04-23 18:53 - Eric Gerlach
- File redmine-add-cas-support2.patch added

Whoops. Previous patch | attached had bugs on head. This patch applies cleanly, and should work perfectly. I'm also working on a few
improvements to the logout process, but that requires changes to rubycas-client first.

#5 - 2011-03-24 10:54 - Toshi MARUYAMA

- Category set to Accounts / authentication

#6 - 2012-06-26 22:10 - Thomas Bétrancourt

How setup Redmine with CAS on the last stable version of redmine ? (2.0.3)

#7 - 2012-11-21 06:40 - Pawel Orzechowski

"Same question as Thomas", will this patch work with Redmine 2.x (esspecially 2.1)?

And next question is if this can be implemented as the plugin?
http://blogs.igalia.com/mrego/2009/07/22/casify-redmine/

#8 - 2012-11-23 04:17 - Nick Tan

+1 to implement this plugin, quite useful in enterprise environment, and suitable for modern ALM systems

Files
redmine-add-cas-support.patch 5.82 KB 2010-04-23 Eric Gerlach
redmine-add-cas-support2.patch 6.89 KB 2010-04-23 Eric Gerlach
